const MAX_DATE = new Date(8640000000000000);
const MIN_DATE = new Date(-8640000000000000);
export function isYear(year) {
  return Number.isInteger(year) && year >= MIN_DATE.getFullYear() && year <= MAX_DATE.getFullYear();
}
export function isValidDate(str) {
  return str.match(/^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[01])$/) !== null;
}
export function leapYear(year) {
  return year % 4 === 0 && year % 100 !== 0 || year % 400 === 0;
}
export function isLeapYear(year) {
  return isYear(year) && leapYear(year);
}
export function changeMarkedDays() {
  let markedDays = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  let nextMarkedDays = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return Object.keys(markedDays).length !== Object.keys(nextMarkedDays).length;
}
//# sourceMappingURL=validations.js.map